<!DOCTYPE html>
<html>    
    <body>
<?php
 $a=1; 
 $b=2;
 echo '$a='.$a."<br/>";
 echo '$b='.$b."<br/>";
 echo "Au retour de l'appel de la fonction somme()=".somme()."<br/>";
 echo '$loc1='.$loc1."<br/>";

 function somme() 
 { 
  echo "-----------------------<br/>";
  $result=$a+$b;
  $loc1=10;
  echo 'Dans la fonction $a='.$a.' et $b='.$b.' result='.$result."<br/>" ;
  echo 'et $loc1='.$loc1."\n";
  echo "-----------------------<br/>";
  return $result;
 }
?>
    </body>
</html>

